//  Lootbag by Xanthos
//	Used with XmlGrab
//
//
using System;
using Server;

namespace Server.Items
{
    public class LootBag : Bag
    {		
		public override int DefaultGumpID{ get{ return 60; } }

		public override Rectangle2D Bounds
		{
			get{ return new Rectangle2D( 44, 65, 142, 94 ); }
		}
		
      [Constructable]
		public LootBag() : base()
		{
			Weight = 0.1;
			Hue = 1100;
			Name = "Loot bag";
			ItemID = 3701;
// 			LootType = LootType.Blessed;
		}
		
		public override int DefaultMaxWeight{ get{ return 800; } }
		
		public LootBag( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
    }
}
